struct VertexOutput {
    @builtin(position) vert_pos: vec4f,
    @location(0) pos: vec4f
}

@vertex
fn main(@builtin(vertex_index) VertexIndex: u32) -> VertexOutput {
  var pos = array<vec2f, 6>(
    vec2(-1.0, 1.0),
    vec2(-1.0, -1.0),
    vec2(1.0, -1.0),

    vec2(1.0, -1.0),
    vec2(1.0, 1.0),
    vec2(-1.0, 1.0)
  );

  var p = vec4f(pos[VertexIndex], 0.0, 1.0);

  return VertexOutput(p, p);
}

